# BASBenchmarks

This is a repository for the benchmarks presented within the publication:

Benchmarks for cyber-physical systems: A modular model library for buildings automation. Nathalie Cauchi, Alessandro Abate.
To appear in IFAC Conference on Analysis and Design of Hybrid Systems, 2018. 

This repository hosts:
(i) the original ADHS paper (bench_ADHS.pdf)
(ii) an extended version of the benchmarking paper (bench_Ext.pdf)
(ii) the instances and descriptions of the benchmarks. It includes all the three presented case-studies. In each case we include a brief description of the underlying dynamics, together with details on the associated parameters.

The repository is split into 3 folders: "doc", "src" and "data". The "doc" folder contains details on the available source code found in "src" folder. The "data" folder contains real data collected between 01 April 2016 - 31 October 2017 with 1 minute sampling time, from the BAS set-up within the Department of Computer Science, University of Oxford.  A description of the available data will be soon uploaded within the "data" folder. The contents of each folder are further highlighted within an individual README file.

We provide the parameters used to build the models within the "src" folder. The parameters were identified based on collected data within the BAS set-up within the Department of Computer Science, University of Oxford. 

Keywords: Cyber-physical systems, building automation systems, thermal modelling, hybrid models, simulation, reachability analysis, probabilistic safety, control synthesis
